This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 13304 - VFS: Disk change detected on device ide1(22,0)
VFS: Disk change detected on device ide1(22,0)
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
6.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Michael K. Johnson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-06-30 20:21 EDT by mal
Modified: 2008-05-01 11:37 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-03-02 16:33:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description mal 2000-06-30 20:21:26 EDT
I have 2.2.16-3 (from Redhat 6.2 updates).
After gnome started
when I do dmesg
I get full screen of messages:

VFS: Disk change detected on device ide1(22,0)
VFS: Disk change detected on device ide1(22,0)
VFS: Disk change detected on device ide1(22,0)
VFS: Disk change detected on device ide1(22,0)
VFS: Disk change detected on device ide1(22,0)
VFS: Disk change detected on device ide1(22,0)
VFS: Disk change detected on device ide1(22,0)
VFS: Disk change detected on device ide1(22,0)

Is this message important ?

The computer is UP, IDE
 cat /proc/cpuinfo
processor       : 0
vendor_id       : GenuineIntel
cpu family      : 6
model           : 3
model name      : Pentium II (Klamath)
stepping        : 4
cpu MHz         : 299.945
cache size      : 512 KB
fdiv_bug        : no
hlt_bug         : no
sep_bug         : no
f00f_bug        : no
coma_bug        : no
fpu             : yes
fpu_exception   : yes
cpuid level     : 2
wp              : yes
flags           : fpu vme de pse tsc msr pae mce cx8 sep mtrr pge mca cmov
mmx
bogomips        : 598.02

IDE
 cat /proc/ide/drivers
ide-cdrom version 4.58
ide-disk version 1.08

cat /proc/ide/ide1/hdc/model
NEC CD-ROM DRIVE:28B
cat /proc/ide/ide0/hda/model
IBM-DHEA-38451
Comment 1 mal 2000-06-30 20:29:42 EDT
In addition:
there is nothing unusual in /var/log/messages
Comment 2 mal 2000-06-30 20:38:30 EDT
I tried this on another computer - same thing.
Just after I start gnome I receive about 1 new line

VFS: Disk change detected on device ide1(22,0)

every second in dmesg output.
This dmesg from another computer
(note that without starting gnome I have no such problem).

 dmesg
Linux version 2.2.14-12 (root@porky.devel.redhat.com) (gcc version egcs-2.91.66
19990314/Linux (egcs-1.1.2 release)) #1 Tue Apr 25 13:04:07 EDT 2000
Detected 300017952 Hz processor.

--------- SKIPPED ----------

md.c: sizeof(mdp_super_t) = 4096
Partition check:
 hda: hda1 hda2 < hda5 hda6 hda7 >
autodetecting RAID arrays
autorun ...
... autorun DONE.
VFS: Mounted root (ext2 filesystem) readonly.
Freeing unused kernel memory: 64k freed
Adding Swap: 208804k swap-space (priority -1)
eepro100.c:v1.09j-t 9/29/99 Donald Becker
http://cesdis.gsfc.nasa.gov/linux/drivers/eepro100.html
eepro100.c: $Revision: 1.18 $ 1999/12/29 Modified by Andrey V. Savochkin
<saw@msu.ru>
eth0: Intel PCI EtherExpress Pro100 at 0xc482c000, 00:D0:B7:07:7E:17, IRQ 11.
  Receiver lock-up bug exists -- enabling work-around.
  Board assembly 721383-008, Physical connectors present: RJ45
  Primary interface chip i82555 PHY #1.
  General self-test: passed.
  Serial sub-system self-test: passed.
  Internal registers self-test: passed.
  ROM checksum self-test: passed (0x04f4518b).
eth1: Intel PCI EtherExpress Pro100 at 0xc482e000, 00:D0:B7:07:7B:F0, IRQ 10.
  Receiver lock-up bug exists -- enabling work-around.
  Board assembly 721383-008, Physical connectors present: RJ45
  Primary interface chip i82555 PHY #1.
  General self-test: passed.
  Serial sub-system self-test: passed.
  Internal registers self-test: passed.
  ROM checksum self-test: passed (0x04f4518b).
VFS: Disk change detected on device ide1(22,0)
VFS: Disk change detected on device ide1(22,0)
VFS: Disk change detected on device ide1(22,0)
VFS: Disk change detected on device ide1(22,0)
VFS: Disk change detected on device ide1(22,0)
VFS: Disk change detected on device ide1(22,0)
VFS: Disk change detected on device ide1(22,0)
VFS: Disk change detected on device ide1(22,0)



In half an hour the only thing I get is
a full screen of:

VFS: Disk change detected on device ide1(22,0)
VFS: Disk change detected on device ide1(22,0)

Comment 3 D. Stimits 2001-03-02 16:33:18 EST
This continues as a problem in Redhat 7.1 beta. There is a continuous mention in
dmesg of
messages for disk changes on cd rom devices, both IDE and SCSI. E.G.:
VFS: Disk change detected on device sr(11,0)
(the latter is a scsi cd rom drive)
Comment 4 Michael K. Johnson 2001-03-05 12:37:59 EST
The most recent errata kernel for 6.2 has this message commented out.
Our current source tree for our beta also has it commented out.
You can also uninstall magicdev and/or autorun (GNOME and KDE cdrom
CD running programs) if you like.  But it's not indicative of a bug,
it' just your cdrom reporting that there is nothing in the drive.

Note You need to log in before you can comment on or make changes to this bug.